com.fasterxml.jackson.databind

## Class DatabindException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JacksonException
        - - com.fasterxml.jackson.core.JsonProcessingException
          - - com.fasterxml.jackson.databind.DatabindException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  JsonMappingException

    public abstract class DatabindException
    extends com.fasterxml.jackson.core.JsonProcessingException

Intermediate base class for all databind level processing problems, as distinct from stream-level problems or I/O issues below.

Added in 2.13 to eventually replace `JsonMappingException`; for 2.x will allow limited use as target (as catching it will also catch mapping exception) but will not be constructed or thrown directly.

Since:
  2.13
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

`_location`

### Constructor Summary

Constructors
`protected` `DatabindException(String msg)`
`protected` `DatabindException(String msg, com.fasterxml.jackson.core.JsonLocation loc)`
`protected` `DatabindException(String msg, com.fasterxml.jackson.core.JsonLocation loc, Throwable rootCause)`
`protected` `DatabindException(String msg, Throwable rootCause)`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `prependPath(Object referrer, int index)` Method called to prepend a reference information in front of current path
`abstract void` `prependPath(Object referrer, String fieldName)` Method called to prepend a reference information in front of current path

### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

`clearLocation, getLocation, getMessage, getMessageSuffix, getOriginalMessage, getProcessor, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DatabindException

    protected DatabindException(String msg,
                                com.fasterxml.jackson.core.JsonLocation loc,
                                Throwable rootCause)

#### DatabindException

    protected DatabindException(String msg)

#### DatabindException

    protected DatabindException(String msg,
                                com.fasterxml.jackson.core.JsonLocation loc)

#### DatabindException

    protected DatabindException(String msg,
                                Throwable rootCause)

### Method Detail

#### prependPath

    public abstract void prependPath(Object referrer,
                                     String fieldName)

Method called to prepend a reference information in front of current path

#### prependPath

    public abstract void prependPath(Object referrer,
                                     int index)

Method called to prepend a reference information in front of current path